﻿@inject UserAppState UserAppState
@inject NavigationManager NavManager

@implements IDisposable

@if (UserAppState.Permissions.Count > 1 && UserAppState.Groups.Count > 0)
{
    <MudMenu 
        Icon="@Icons.Material.Filled.AccountCircle" 
        Variant="Variant.Filled"
        Dense="true"
        LockScroll="true"
        Size="Size.Medium">
    @if (UserAppState.Permissions.Count > 1)
    {
         <MudMenuItem>
             <MudMenu ActivationEvent="MouseEvent.MouseOver" Dense>
                 <ActivatorContent>
                     <MudMenuItem>
                         Users <MudIcon Icon="@Icons.Material.Filled.ArrowRight" Size="Size.Small"/>
                     </MudMenuItem>
                 </ActivatorContent>
                 <ChildContent>
                     @foreach (var perm in UserAppState.Permissions)
                    {
                        <MudMenuItem OnClick="@(() => OnUserClick(perm.GrantorUserName))">
                            @perm.GrantorUserName
                        </MudMenuItem>
                    }
                 </ChildContent>
             </MudMenu>
            
        </MudMenuItem>   
    }
    @if (UserAppState.Groups.Count > 0)
    {
        <MudMenuItem>
            <MudMenu ActivationEvent="MouseEvent.MouseOver" Dense>
                 <ActivatorContent>
                     <MudMenuItem>
                         Groups <MudIcon Icon="@Icons.Material.Filled.ArrowRight" Size="Size.Small"/>
                     </MudMenuItem>
                 </ActivatorContent>
                 <ChildContent>
                     @foreach (var group in UserAppState.Groups)
                    {
                        <MudMenuItem OnClick="@(() => OnGroupClick(group.GroupId))">
                            @($"{group.GroupName} [{group.GroupId}]")
                        </MudMenuItem>
                    }
                 </ChildContent>
             </MudMenu>
        </MudMenuItem>
    }
    </MudMenu>
}
